Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xslt.trace
Interface TraceListener

All Known Implementing Classes:
  PrintTraceListener

public interface TraceListener
extends java.util.EventListener

Interface the XSL processor calls when it matches a source node, selects a set of source nodes, or generates a result node. If you want an object instance to be called when a trace event occurs, use the XSLTEngineImpl setTraceListener method.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `TracerEvent.java`, `weblogic.apache.xalan.xslt.XSLTEngineImpl#setTraceListener`

Method Summary
`void` | `generated(GenerateEvent ev)` Method that is called just after the formatter listener is called.
`void` | `selected(SelectionEvent ev)` Method that is called just after the formatter listener is called.
`void` | `trace(TracerEvent ev)` Method that is called when a trace event occurs.

Method Detail

### trace

    public void trace(TracerEvent ev)

  Method that is called when a trace event occurs. The method is blocking. It must return before processing continues.

  Parameters:
    `ev` - the trace event.

### selected

    public void selected(SelectionEvent ev)
                  throws org.xml.sax.SAXException

  Method that is called just after the formatter listener is called.

  Parameters:
    `ev` - the generate event.

### generated

    public void generated(GenerateEvent ev)

  Method that is called just after the formatter listener is called.

  Parameters:
    `ev` - the generate event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD